<?php
$this->PageTitle = 'Relatório de Satisfação';

$options = array();
if(isset($_GET['Clientes']) && !empty($_GET['Clientes'])) {
    $model->setAttributes($_GET['Clientes']);
    $serialize = array();
    foreach($_GET['Clientes'] as $field => $value) {
        if(is_array($value)) {
            foreach($value as $key => $id) {
                $serialize[] = 'Clientes['. $field . '][]='.$id;
            }
        } else {
            $serialize[] = 'Clientes['. $field . ']='.$value;
        }
    }
    $url = implode('&', $serialize);
    $options[] = array(
        'label' => FaHtml::iconExcel(),
        'url' => array('clientes/posvendas_excel&'.$url),
        'linkOptions' => array('class' => 'novo update_url', 'data-url' => 'posvendas_excel', 'data-replace' => 'posvendas_relatorio')
    );
    $options[] = array(
        'label' => FaHtml::iconGraph(),
        'url' => array('clientes/posvendas_grafico&'.$url),
        'linkOptions' => array('class' => 'novo update_url', 'data-url' => 'posvendas_grafico', 'data-replace' => 'posvendas_relatorio')
    );
} else {
    $options[] = array(
        'label' => FaHtml::iconGraph(),
        'url' => array('clientes/posvendas_grafico'),
        'linkOptions' => array('class' => 'novo update_url', 'data-url' => 'posvendas_grafico', 'data-replace' => 'posvendas_relatorio')
    );
    $model->CLI_SITUACAO = "A";
}
$options[] = array(
    'label' => FaHtml::iconSetaClose(),
    'url' => '#',
    'linkOptions' => array('class' => 'search-button')
);
$options[] = array(
    'label' => FaHtml::iconRefresh(),
    'url' => 'javascript:void(0);',
    'linkOptions' => array('onclick' => 'reloadFrame();',
        'class' => 'refresh-button'
    )
);
$this->menu = $options;
?>

<?php $dataProvider = $model->searchRelatorioPosVendas(); ?>
<div class="search-form" style="display:<?php echo (isset($_GET['Clientes'])) ? 'none' : 'block'; ?>" >
    <?php $this->renderPartial('_search_posvendas_grafico', array('model' => $model)); ?>
</div><!-- search-form -->

<style type="text/css" media="screen">
    .colTelefone {
        width: 80px;
    }
</style>
<?php
if (isset($_GET['Clientes'])) {
    
    /*
    $model->CLI_IDMOTIVO
        1: avaliação sistema
        2: avaliação atendimento
        3: primeiro pós implantação
        4: segundo pós implantação
    */
    $posVendas = $model->CLI_IDMOTIVO <= 2;
    $avaliacaoImplantacao = $model->CLI_IDMOTIVO > 2;
    $this->widget('ext.Utils.widgets.CrmGridView', array(
    'id' => 'admin-grid',
    'dataProvider' => $dataProvider,
    'afterAjaxUpdate'=>'updated',
    'selectableRows' => 1,
    'pager' => Util::getPagerDefaultConfig(),
    'columns' => array(
        array(
            'name' => 'CLI_NOME',
            'value' => 'Util::getNomeImplantacao($data->CLI_NOME, $data->CLI_IMPLANTACAO) . Util::getInfoCliente($data)',
            'type' => 'raw'
        ),
        'CLI_FONE1',
        array(
            'name' => 'CLI_CIDADE',
            'value' => 'GxHtml::valueEx($data->Cidade)',
        ),
        array(
            'name' => 'CLI_NOTA_SATISFACAO_SISTEMA',
            'value' => '$data->getSatisfacao("CLI_NOTA_SATISFACAO_SISTEMA")',
            'visible' => $posVendas,
            'type' => 'raw'
        ),
        array(
            'name' => 'CLI_NOTA_SATISFACAO_ATENDIMENTO',
            'value' => '$data->getSatisfacao("CLI_NOTA_SATISFACAO_ATENDIMENTO")',
            'visible' => $posVendas,
            'type' => 'raw'
        ),
        array(
            'name' => 'CLI_DT_PROXIMO_POSVENDAS',
            'value' => '$data->CLI_DT_PROXIMO_POSVENDAS',
            'visible' => $posVendas,
        ),
        array(
            'name' => 'CLI_DT_POSVENDAS',
            'value' => '$data->CLI_DT_POSVENDAS',
            'visible' => $posVendas,
        ),
        array(
            'name' => 'CLI_NOTA_SATISFACAO_IMPLANTACAO',
            'value' => '$data->getSatisfacao("CLI_NOTA_SATISFACAO_IMPLANTACAO")',
            'visible' => $avaliacaoImplantacao,
            'type' => 'raw'
        ),
        array(
            'name' => 'CLI_DT_AVALIACAO_IMPLANTACAO',
            'value' => '$data->CLI_DT_AVALIACAO_IMPLANTACAO',
            'visible' => $avaliacaoImplantacao,
        ),
        array(
            'name' => 'CLI_NOTA_SATISFACAO_IMPLANTACAO2',
            'value' => '$data->getSatisfacao("CLI_NOTA_SATISFACAO_IMPLANTACAO2")',
            'visible' => $avaliacaoImplantacao,
            'type' => 'raw'
        ),
        array(
            'name' => 'CLI_DT_AVALIACAO_IMPLANTACAO2',
            'value' => '$data->CLI_DT_AVALIACAO_IMPLANTACAO2',
            'visible' => $avaliacaoImplantacao,
        ),
        array(
            'name' => 'CLI_DT_PROXIMA_AVALIACAO_IMPLANTACAO',
            'value' => '$data->CLI_DT_PROXIMA_AVALIACAO_IMPLANTACAO',
            'visible' => $avaliacaoImplantacao,
        ),
    ),
));
}